## org.apache.cassandra.cql3
Class CFName

    java.lang.Object
      org.apache.cassandra.cql3.CFName

    public class CFName

extends java.lang.Object

Constructor Summary
`CFName()`

Method Summary
`java.lang.String` `getColumnFamily()`
`java.lang.String` `getKeyspace()`
`boolean` `hasKeyspace()`
`void` `setColumnFamily(java.lang.String cf, boolean keepCase)`
`void` `setKeyspace(java.lang.String ks, boolean keepCase)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CFName

    public CFName()

Method Detail

### setKeyspace

    public void setKeyspace(java.lang.String ks,
                            boolean keepCase)

### setColumnFamily

    public void setColumnFamily(java.lang.String cf,
                                boolean keepCase)

### hasKeyspace

    public boolean hasKeyspace()

### getKeyspace

    public java.lang.String getKeyspace()

### getColumnFamily

    public java.lang.String getColumnFamily()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation